MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028241Open CASCADE[OCCT] OCCT:Visualizationpublic2016-12-18 21:592017-09-29 16:31
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028241: Visualization, Path tracing - shader compilation error on Radeon 290
DescriptionPath Tracing program does not work anymore (REGRESSION after 0028126) on Radeon 290 due to the following error:
Draw[13]> vrenderparams -gi
TKOpenGl.GLSL | Type: Error | ID: 2000 | Severity: High | Message:
  glCompileShader failed to compile a GLSL shader with the following shader info
 log: 'Fragment shader failed to compile with the following errors:
ERROR: 0:1443: error(0000202) No matching overloaded function found: mix
ERROR: 0:1443: error(0000247) Function return does not match type
ERROR: error(#273) 2 compilation errors.  No code generated

'
TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
  Failed to compile ray-tracing fragment shaders

Draw[15]> vglinfo
OpenGL info:
  GLvendor: ATI Technologies Inc.
  GLdevice: AMD Radeon R9 200 Series
  GLversion: 4.5.13447 Compatibility Profile/Debug Context 16.300.2311.0
  GLSLversion: 4.50
  GLdebug: ON
  Max texture size: 16384
  Max MSAA samples: 8
  Viewport: 409x409
  ResolutionRatio: 1


The error happens on the following line:
  return mix (UNIT, ZERO, theWo.z <= 0.f);
Steps To Reproducev3d raytrace bug25201,bug25221,bug26617,sample_ball,sample_ball_alpha,sample_cube,sample_cube_twosided
TagsNo tags attached.
Test case numberv3d raytrace bug25201, bug25221, bug26617, sample_ball, sample_ball_alpha, sample_cube, sample_cube_twosided
Attached Files

- Relationships
child of 0028126closedapn Visualization, Path tracing - Provide ability to use two-sided scattering models 

-  Notes
(0061855)
git (administrator)
2016-12-19 14:01

Branch CR28241 has been created by dbp.

SHA-1: ec2d82f18cdca59fd28da1aec87057a78f1c2170


Detailed log of new commits:

Author: dbp
Date: Mon Dec 19 14:00:09 2016 +0300

    0028241: Visualization, Path tracing - shader compilation error on Radeon 290
(0061856)
dbp (developer)
2016-12-19 14:02

Dear kgv,

Could you please review the fix in branch CR28241?
(0061857)
kgv (developer)
2016-12-19 14:04

Please test the patch.
(0061920)
apv (tester)
2016-12-20 15:39

Dear BugMaster,

Branch CR28241 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ec2d82f18cdca59fd28da1aec87057a78f1c2170

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1132

Regressions/Differences:
Not detected

Testing cases:
v3d raytrace bug25201 - OK
http://occt-tests/CR28241-master-OCCT/Debian70-64/v3d/raytrace/bug25201.html [^]
http://occt-tests/CR28241-master-OCCT/Windows-64-VC10/v3d/raytrace/bug25201.html [^]
v3d raytrace bug25221 - OK
http://occt-tests/CR28241-master-OCCT/Debian70-64/v3d/raytrace/bug25221.html [^]
http://occt-tests/CR28241-master-OCCT/Windows-64-VC10/v3d/raytrace/bug25221.html [^]
v3d raytrace bug26617 - OK
http://occt-tests/CR28241-master-OCCT/Debian70-64/v3d/raytrace/bug26617.html [^]
http://occt-tests/CR28241-master-OCCT/Windows-64-VC10/v3d/raytrace/bug26617.html [^]
v3d raytrace sample_ball - OK
http://occt-tests/CR28241-master-OCCT/Debian70-64/v3d/raytrace/sample_ball.html [^]
http://occt-tests/CR28241-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_ball.html [^]
v3d raytrace sample_ball_alpha - OK
http://occt-tests/CR28241-master-OCCT/Debian70-64/v3d/raytrace/sample_ball_alpha.html [^]
http://occt-tests/CR28241-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_ball_alpha.html [^]
v3d raytrace sample_cube - OK
http://occt-tests/CR28241-master-OCCT/Debian70-64/v3d/raytrace/sample_cube.html [^]
http://occt-tests/CR28241-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_cube.html [^]
v3d raytrace sample_cube_twosided - OK
http://occt-tests/CR28241-master-OCCT/Debian70-64/v3d/raytrace/sample_cube_twosided.html [^]
http://occt-tests/CR28241-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_cube_twosided.html [^]

Testing on Linux:
Total MEMORY difference: 93439682 / 92914380 [+0.57%]
Total CPU difference: 21562.920000000224 / 21640.46000000027 [-0.36%]

Testing on Windows:
Total MEMORY difference: 58501373 / 58518712 [-0.03%]
Total CPU difference: 19469.299202398593 / 19818.897443398673 [-1.76%]
(0063568)
git (administrator)
2017-02-08 11:32

Branch CR28241 has been deleted by kgv.

SHA-1: ec2d82f18cdca59fd28da1aec87057a78f1c2170

- Related Changesets
occt: master 06e06389
Timestamp: 2016-12-19 11:00:09
Author: dbp
Committer: apn
Details ] Diff ]
0028241: Visualization, Path tracing - shader compilation error on Radeon 290
mod - src/Shaders/PathtraceBase.fs Diff ] File ]
mod - src/Shaders/RaytraceBase.fs Diff ] File ]
mod - src/Shaders/Shaders_PathtraceBase_fs.pxx Diff ] File ]
mod - src/Shaders/Shaders_RaytraceBase_fs.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-18 21:59 kgv New Issue
2016-12-18 21:59 kgv Assigned To => dbp
2016-12-18 21:59 kgv Relationship added child of 0028126
2016-12-19 14:01 git Note Added: 0061855
2016-12-19 14:02 dbp Note Added: 0061856
2016-12-19 14:02 dbp Assigned To dbp => kgv
2016-12-19 14:02 dbp Status new => resolved
2016-12-19 14:04 kgv Note Added: 0061857
2016-12-19 14:04 kgv Assigned To kgv => bugmaster
2016-12-19 14:04 kgv Status resolved => reviewed
2016-12-19 14:14 apv Assigned To bugmaster => apv
2016-12-20 14:37 apv Test case number => v3d raytrace bug25201, bug25221, bug26617, sample_ball, sample_ball_alpha, sample_cube, sample_cube_twosided
2016-12-20 15:39 apv Note Added: 0061920
2016-12-20 15:39 apv Assigned To apv => bugmaster
2016-12-20 15:39 apv Status reviewed => tested
2016-12-23 12:09 apn Changeset attached => occt master 06e06389
2016-12-23 12:09 apn Assigned To bugmaster => apn
2016-12-23 12:09 apn Status tested => verified
2016-12-23 12:09 apn Resolution open => fixed
2017-02-08 11:32 git Note Added: 0063568
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker